cellBorders
Description
Defines borders style in the Gantt chartUsage
cellBorders?: string;
Parameters
cellBorders
- to show all lines in the grid (horizontal and vertical), set the borders value to "full". To hide horizontal lines, set the value to "columns".
Example
import { getData, simpleColumns } from "./common/data";
import { Gantt } from "wx-react-gantt";
const GanttComponent = () => {
const data = getData();
const cellBorders = "columns";
return (
<Gantt
cellBorders={cellBorders}
tasks={data.tasks}
//other settings
/>
);
};
export default GanttComponent;

Skip to main content

cellBorders

Description

Optional. Defines borders style in the Gantt chart

Usage

cellBorders?: "column" | "full";

Parameters

  • cellBorders - to show all lines in the grid (horizontal and vertical), set the borders value to "full". To hide horizontal lines, set the value to "column".

Example

<script setup>
import { getData, simpleColumns } from "./common/data";
import { Gantt } from "@svar-ui/vue-gantt";

const data = getData();

const cellBorders = "column";

</script>

<template>
<Gantt
:cellBorders="cellBorders"
:tasks="data.tasks" />
</template>

Related articles: